Search documentation of Ragex

# Ragex.MCP.Handlers.Resources (Ragex v0.4.0)

View Source

Handles MCP resource-related requests.

Implements the resources/list and resources/read methods. Resources provide read-only access to Ragex's internal state.

## Summary

### Functions

list_resources()

Lists all available resources.

read_resource(uri)

Reads a resource by URI.

## Functions

# list_resources()

Lists all available resources.

Returns resource definitions with URIs, names, descriptions, and MIME types.

# read_resource(uri)

Reads a resource by URI.

Returns `{:ok, contents}` on success or `{:error, reason}` on failure.